Skip to main content
POST
Run a Cypher query against a graph in a deployment, or return its EXPLAIN or PROFILE plan

Authorizations

token
string
cookie
required

JWT token stored in HTTP-only cookie

Path Parameters

clusterName
string
required

Query Parameters

namespace
string
required

namespace is required

Minimum string length: 1

Body

application/json
graph
string
required
Required string length: 1 - 512
query
string
required
Required string length: 1 - 100000
mode
Available options:
query
readOnly
boolean

Response

Default Response

mode
required
Available options:
query
columns
string[]
required
rows
any[][]
required
truncated
boolean
required
durationMs
number
required
limits
object
required
stats
object
plan
string[]